Bug#931081: libyubikey-udev: missing Breaks+Replaces: libykpers-1-1 (<< 1.19.3)

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#931081: libyubikey-udev: missing Breaks+Replaces: libykpers-1-1 (<< 1.19.3)

Andreas Beckmann-4
Package: libyubikey-udev
Version: 1.19.3-3
Severity: serious
User: [hidden email]
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package fails to upgrade from
'stretch'.
It installed fine in 'stretch', then the upgrade to 'buster' fails
because it tries to overwrite other packages files without declaring a
Breaks+Replaces relation.

See policy 7.6 at
https://www.debian.org/doc/debian-policy/ch-relationships.html#overwriting-files-and-replacing-packages-replaces

From the attached log (scroll to the bottom...):

  Preparing to unpack .../libyubikey-udev_1.19.3-3_all.deb ...
  Unpacking libyubikey-udev (1.19.3-3) ...
  dpkg: error processing archive /var/cache/apt/archives/libyubikey-udev_1.19.3-3_all.deb (--unpack):
   trying to overwrite '/lib/udev/rules.d/69-yubikey.rules', which is also in package libykpers-1-1:amd64 1.17.3-1
  Errors were encountered while processing:
   /var/cache/apt/archives/libyubikey-udev_1.19.3-3_all.deb

The version (<< 1.19.3) is based on this changelog entry in 1.19.3-1:
  * Replace custom udev rules with libu2f-udev.
    Also drop build dependency on udev


cheers,

Andreas

libykpers-1-1=1.17.3-1_libyubikey-udev=1.19.3-3.log.gz (11K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#931081: marked as done (libyubikey-udev: missing Breaks+Replaces: libykpers-1-1 (<< 1.19.3))

Debian Bug Tracking System
Your message dated Sat, 13 Jul 2019 12:20:13 +0000
with message-id <[hidden email]>
and subject line Bug#931081: fixed in yubikey-personalization 1.20.0-1
has caused the Debian Bug report #931081,
regarding libyubikey-udev: missing Breaks+Replaces: libykpers-1-1 (<< 1.19.3)
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [hidden email]
immediately.)


--
931081: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=931081
Debian Bug Tracking System
Contact [hidden email] with problems

Package: libyubikey-udev
Version: 1.19.3-3
Severity: serious
User: [hidden email]
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package fails to upgrade from
'stretch'.
It installed fine in 'stretch', then the upgrade to 'buster' fails
because it tries to overwrite other packages files without declaring a
Breaks+Replaces relation.

See policy 7.6 at
https://www.debian.org/doc/debian-policy/ch-relationships.html#overwriting-files-and-replacing-packages-replaces

From the attached log (scroll to the bottom...):

  Preparing to unpack .../libyubikey-udev_1.19.3-3_all.deb ...
  Unpacking libyubikey-udev (1.19.3-3) ...
  dpkg: error processing archive /var/cache/apt/archives/libyubikey-udev_1.19.3-3_all.deb (--unpack):
   trying to overwrite '/lib/udev/rules.d/69-yubikey.rules', which is also in package libykpers-1-1:amd64 1.17.3-1
  Errors were encountered while processing:
   /var/cache/apt/archives/libyubikey-udev_1.19.3-3_all.deb

The version (<< 1.19.3) is based on this changelog entry in 1.19.3-1:
  * Replace custom udev rules with libu2f-udev.
    Also drop build dependency on udev


cheers,

Andreas

Source: yubikey-personalization
Source-Version: 1.20.0-1

We believe that the bug you reported is fixed in the latest version of
yubikey-personalization, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [hidden email],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nicolas Braud-Santoni <[hidden email]> (supplier of updated yubikey-personalization package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [hidden email])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 13 Jul 2019 14:09:27 +0200
Source: yubikey-personalization
Architecture: source
Version: 1.20.0-1
Distribution: unstable
Urgency: high
Maintainer: Debian Authentication Maintainers <[hidden email]>
Changed-By: Nicolas Braud-Santoni <[hidden email]>
Closes: 931081
Changes:
 yubikey-personalization (1.20.0-1) unstable; urgency=high (RC bug and security)
 .
   * New upstream release 1.20.0 (2019-07-03)
     + Clear sensitive material from buffers
     + Documentation fixes
     + Fix potential buffer overflow.
 .
   * debian/control
     + Add missing Break+Replaces on libyubikey-udev
       Closes: #931081
     + Declare compliance with policy v4.4.0.
       No change required
     + Shorten the extended description of libyubikey-udev
Checksums-Sha1:
 cb76901875dec96c5430d7961083bb7f5fb7680f 2538 yubikey-personalization_1.20.0-1.dsc
 6174d131ca447e66bfbc5de58bd032d8e448d254 523134 yubikey-personalization_1.20.0.orig.tar.gz
 dcdf4d3cf066565b7e8ce8428a5cf5f27c08fc88 53536 yubikey-personalization_1.20.0-1.debian.tar.xz
 f0f2651a1a7979c7d1b53b934a4e6014366935a6 7513 yubikey-personalization_1.20.0-1_amd64.buildinfo
Checksums-Sha256:
 3ebc2721d8c53b348aac413d9d34f3f85abc85e8ecad8c3360f29c4aa80fd325 2538 yubikey-personalization_1.20.0-1.dsc
 0ec84d0ea862f45a7d85a1a3afe5e60b8da42df211bb7d27a50f486e31a79b93 523134 yubikey-personalization_1.20.0.orig.tar.gz
 68c58c0a54a2edb081e1339cdb86615b20af04a093479b1f2bf5b9907a714da7 53536 yubikey-personalization_1.20.0-1.debian.tar.xz
 c852fad6a528a8693a8ca308dc8e5284048ebd80359872fa95bf6110d500aed7 7513 yubikey-personalization_1.20.0-1_amd64.buildinfo
Files:
 b7c608e337e02429c9161c168273cb72 2538 utils optional yubikey-personalization_1.20.0-1.dsc
 8749113ce5a0164fe2b429b61242ba0f 523134 utils optional yubikey-personalization_1.20.0.orig.tar.gz
 9561d3eaedf16cdd71bd957178589923 53536 utils optional yubikey-personalization_1.20.0-1.debian.tar.xz
 25f1cd628be9c86a34c5f5eae37fb55f 7513 utils optional yubikey-personalization_1.20.0-1_amd64.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEU7EqA8ZVHYoLJhPE5vmO4pLV7MsFAl0pymYACgkQ5vmO4pLV
7MtaphAAmRLtfsjV3nmFBsClPyy0Kt0lQmYpLp5ZnlfZqUb7W1Vugz+WobCaY3/R
HDZ6hWBB9qhbRgNDYliDwpw32TC7sKZoFBAwle2elcekRjJZwIzg4r1vlXDxzvQe
v4SeGTSoKe4EDZnrx6kXjov1HpLfpfljQoDet+loIe4MKuJqfZMhyoAKJ3UpuCVP
qyifRz50bQWAfRv1FFRue3vSbxh4YGbMRDHkrbWqNr75/JjpunGLbbdZUR0Eor6K
xHel+wF6SR0R8uSk8+bpJyOcccMxMyKNq5mbpoa6GQeTQ2yCjo0J/R/QS+UavqXp
8sWwl8br1opxmr/piC6O3eNiP8rIZUGory1Fwh3S1kxDW/Xq07QUYN7hGq90qugA
k1BsQpMNh39s1u8d/HqcncM3ewSZIxF/DcVmJpGJ0lKkv7466LxjrKCmE+Q3U2zx
AHsU5GlnawJ3LP0ljs4yEOeLl7JzQH/yne50/YHVgRZn+A/yDo3jRgyaLWCVkFcA
sc+u+iJKyVocU7I2Di4EM97mKegd0IzOv6GRl/Zg2KnoPOIinKQsdOgp9yexFgxq
Z++foVCwqJY3zkgIJSwc7Siap7+HBSO8YFZgU4+WxgZFI6CUL+EjkxhhY/UI7r8X
Axv6CJaiVRVLhMmFPhpRtX4BV6bEJgXnnntctpPcoxto/52/kNk=
=4kea
-----END PGP SIGNATURE-----

libykpers-1-1=1.17.3-1_libyubikey-udev=1.19.3-3.log.gz (11K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#931081: marked as done (libyubikey-udev: missing Breaks+Replaces: libykpers-1-1 (<< 1.19.3))

Debian Bug Tracking System
In reply to this post by Andreas Beckmann-4
Your message dated Sat, 03 Aug 2019 19:05:49 +0000
with message-id <[hidden email]>
and subject line Bug#931081: fixed in yubikey-personalization 1.19.3-3+deb10u1
has caused the Debian Bug report #931081,
regarding libyubikey-udev: missing Breaks+Replaces: libykpers-1-1 (<< 1.19.3)
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [hidden email]
immediately.)


--
931081: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=931081
Debian Bug Tracking System
Contact [hidden email] with problems

Package: libyubikey-udev
Version: 1.19.3-3
Severity: serious
User: [hidden email]
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package fails to upgrade from
'stretch'.
It installed fine in 'stretch', then the upgrade to 'buster' fails
because it tries to overwrite other packages files without declaring a
Breaks+Replaces relation.

See policy 7.6 at
https://www.debian.org/doc/debian-policy/ch-relationships.html#overwriting-files-and-replacing-packages-replaces

From the attached log (scroll to the bottom...):

  Preparing to unpack .../libyubikey-udev_1.19.3-3_all.deb ...
  Unpacking libyubikey-udev (1.19.3-3) ...
  dpkg: error processing archive /var/cache/apt/archives/libyubikey-udev_1.19.3-3_all.deb (--unpack):
   trying to overwrite '/lib/udev/rules.d/69-yubikey.rules', which is also in package libykpers-1-1:amd64 1.17.3-1
  Errors were encountered while processing:
   /var/cache/apt/archives/libyubikey-udev_1.19.3-3_all.deb

The version (<< 1.19.3) is based on this changelog entry in 1.19.3-1:
  * Replace custom udev rules with libu2f-udev.
    Also drop build dependency on udev


cheers,

Andreas

Source: yubikey-personalization
Source-Version: 1.19.3-3+deb10u1

We believe that the bug you reported is fixed in the latest version of
yubikey-personalization, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [hidden email],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nicolas Braud-Santoni <[hidden email]> (supplier of updated yubikey-personalization package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [hidden email])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 20 Jul 2019 11:43:51 +0200
Source: yubikey-personalization
Architecture: source
Version: 1.19.3-3+deb10u1
Distribution: buster
Urgency: medium
Maintainer: Debian Authentication Maintainers <[hidden email]>
Changed-By: Nicolas Braud-Santoni <[hidden email]>
Closes: 931081
Changes:
 yubikey-personalization (1.19.3-3+deb10u1) buster; urgency=medium
 .
   * Backport security improvements from v1.20.0
   * debian/control: Add missing Break+Replaces on libyubikey-udev
     Closes: #931081
Checksums-Sha1:
 6ef5627e29f9544cc4a9454ea28f95827319035e 2570 yubikey-personalization_1.19.3-3+deb10u1.dsc
 a759f52bdb2b96f4ed026dab73d5d1a52a2d4c03 54452 yubikey-personalization_1.19.3-3+deb10u1.debian.tar.xz
 6e6845d6db415a2efe3e4a53decb574c3a809574 7416 yubikey-personalization_1.19.3-3+deb10u1_amd64.buildinfo
Checksums-Sha256:
 6b568643a85962d346ff08f2cb51a4961ca384d0ea898de8e6c86ed35111aa7f 2570 yubikey-personalization_1.19.3-3+deb10u1.dsc
 749b8b78d7ac98643565f02eefbb4a86a0b9d4f123d15c1a553a4e918c44d462 54452 yubikey-personalization_1.19.3-3+deb10u1.debian.tar.xz
 11f2ad52c0aca4f1e232523af236db99a3933659d4b963336ed5ec5dd3979c45 7416 yubikey-personalization_1.19.3-3+deb10u1_amd64.buildinfo
Files:
 ff3d34e06994be9e644fb77b519fd6e8 2570 utils optional yubikey-personalization_1.19.3-3+deb10u1.dsc
 0b88db66015a5edf054ed1dbd6f9b972 54452 utils optional yubikey-personalization_1.19.3-3+deb10u1.debian.tar.xz
 75fdb8bd529c188bcd79437bea953ed5 7416 utils optional yubikey-personalization_1.19.3-3+deb10u1_amd64.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEU7EqA8ZVHYoLJhPE5vmO4pLV7MsFAl1AbgIACgkQ5vmO4pLV
7MsBcg//Tui+EKsFreOjfZqF9Lf61/IPByge9qYXufrNrv0uIuOlM/9++nloWCvh
zhkIwVyuT1Mb0DBqwqYtGjV9T4LP8ULlXwKvzMWsCleQeOej+kvMHlSsqMm8RZIh
ZYD9lZjvBP7bYYvLUC1I3QHAQLwsv+A9lITHZkQqtH/xgQyvzs/D75hhWMFBlwGz
v2yrbBZw7oE7jVPBO5qH/19UuD/cTFLNo3mdWzHax2AFKhXMdYs2l3JPEL3hwyiL
t/qGcklF7XJoTRnadflfO1aS1tqOtgYBoBloKGOfjsRWKjH0FeMkD7VHTeBUf5Yk
3SezLSYjVn4yk7pgjY0AueIxdDGLLnhW2nukmUt8W/dx76opFBQw0jAyihnRj4Nz
OiJFu0gSLZ6Y3Ye7F9r+A8RBYCznAlUxzErSyuPleh7UJ6p2USKPvPB18ZMc6q6n
QIm6RiK1rrxUdU0vWD2O/zGAkQohh3SlwvQxUqKwM/vMmy4hSbLidLyvqU6O2GEG
suM99UVpkzopt3GPa1SWNfp+axOtop9+5qToaQeBTuNZa844T+4LnYm/0dKPD9o+
x5j/O85BX7ktmYsL2f1XeDAjKP6gl4doWBPKgrNgoyFLwR7UhTqQd1PIV9yXcceG
PeJHF+EIAuyqnwDMeiqbq+D5lYO6eP1d+d+nxfqnF+2tXoePpJA=
=fw+f
-----END PGP SIGNATURE-----

libykpers-1-1=1.17.3-1_libyubikey-udev=1.19.3-3.log.gz (11K) Download Attachment